Subject: Avon dolls and more
From: "Judith Sparks" <[email-masked]>
To: <[email-masked]>
Date: Wed, 5 Mar 2003 06:36:46 -0500

Jan,

First of all, welcome to the group!  I'm mostly a lurker but occasionally chime in.  Lots of nice folks here.

I have a few of the Avon dolls, gifts from relatives in Chicago who have a mother-in-law that sells Avon.  I love them and they are just as lovely in person as in the book.  You might want to check out Ebay for Sterling Silver Rose (I have the Hispanic, love her stronger coloring), I see them on there quite a bit.

Judi from the home of the World Champion Tampa Bay Buccaneers
www.edandjudi.com